/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "sandboxscene.h"

scripter_t scripter;

bool sandboxSceneInit(sandboxscene_t *game, engine_t *engine) {
  assetFontLoad(&game->font, "fonts/opensans/OpenSans-Regular.ttf");
  assetTextureLoad(&game->texture, "test_texture.png");
  assetShaderLoad(&game->shader, 
    "shaders/textured.vert", "shaders/textured.frag"
  );

  return true;
}

void sandboxSceneUpdate(sandboxscene_t *game, engine_t *engine) {
  cameraLookAt(&game->camera, 3,3,3, 0,0,0);

  cameraPerspective(&game->camera, 45,
    engine->render.width/engine->render.height,
    0.01f, 1000.0f
  );

  // cameraLookAt(&game->camera,
  //   0, 0, 10,
  //   0, 0, 0
  // );
  // cameraOrtho(&game->camera,
  //   0, engine->render.width,
  //   engine->render.height, 0,
  //   0.01f, 1000.0f
  // );

  shaderUse(&game->shader);
  shaderUseCamera(&game->shader, &game->camera);
  shaderUsePosition(&game->shader, 0,0,0, 0,0,0);
  shaderUseTexture(&game->shader, &game->texture);
}

void sandboxSceneDispose(sandboxscene_t *game) {
}